Package org.apache.catalina.tribes.transport.bio

# Class MultipointBioSender

java.lang.Object
org.apache.catalina.tribes.transport.AbstractSender
org.apache.catalina.tribes.transport.bio.MultipointBioSender

All Implemented Interfaces:
  `DataSender`, `MultiPointSender`

@Deprecated public class MultipointBioSender extends AbstractSender implements MultiPointSender
Deprecated.
This will be removed in Tomcat 10

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected final HashMap<Member,BioSender>`
  `bioSenders`
  Deprecated.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MultipointBioSender()`
  Deprecated.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `add(Member member)`
  Deprecated.
  `void`
  `connect()`
  Deprecated.
  connect
  `void`
  `disconnect()`
  Deprecated.
  disconnect TODO Implement this org.apache.catalina.tribes.transport.DataSender method
  `protected void`
  `finalize()`
  Deprecated.
  `boolean`
  `keepalive()`
  Deprecated.
  keepalive
  `void`
  `remove(Member member)`
  Deprecated.
  `void`
  `sendMessage(Member[] destination, ChannelMessage msg)`
  Deprecated.
  `protected BioSender[]`
  `setupForSend(Member[] destination)`
  Deprecated.

  ### Methods inherited from class org.apache.catalina.tribes.transport.AbstractSender

  `getAddress, getAttempt, getConnectTime, getDestination, getDirectBuffer, getKeepAliveCount, getKeepAliveTime, getMaxRetryAttempts, getOoBInline, getPort, getRequestCount, getRxBufSize, getSoKeepAlive, getSoLingerOn, getSoLingerTime, getSoReuseAddress, getSoTrafficClass, getTcpNoDelay, getThrowOnFailedAck, getTimeout, getTxBufSize, getUdpPort, getUdpRxBufSize, getUdpTxBufSize, isConnected, isUdpBased, setAddress, setAttempt, setConnected, setConnectTime, setDestination, setDirectBuffer, setKeepAliveCount, setKeepAliveTime, setMaxRetryAttempts, setOoBInline, setPort, setRequestCount, setRxBufSize, setSoKeepAlive, setSoLingerOn, setSoLingerTime, setSoReuseAddress, setSoTrafficClass, setTcpNoDelay, setThrowOnFailedAck, setTimeout, setTxBufSize, setUdpBased, setUdpPort, setUdpRxBufSize, setUdpTxBufSize, transferProperties`

  ### Methods inherited from class java.lang.Object

  `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.apache.catalina.tribes.transport.DataSender

  `getConnectTime, getRequestCount, isConnected, setKeepAliveCount, setKeepAliveTime, setRxBufSize, setTimeout, setTxBufSize`

  ### Methods inherited from interface org.apache.catalina.tribes.transport.MultiPointSender

  `setDirectBuffer, setMaxRetryAttempts`

- ## Field Details

  - ### bioSenders

    protected final HashMap<Member,BioSender> bioSenders
    Deprecated.

- ## Constructor Details

  - ### MultipointBioSender

    public MultipointBioSender()
    Deprecated.

- ## Method Details

  - ### sendMessage

    public void sendMessage(Member[] destination, ChannelMessage msg) throws ChannelException
    Deprecated.
    Specified by:
      `sendMessage` in interface `MultiPointSender`
    Throws:
      `ChannelException`

  - ### setupForSend

    protected BioSender[] setupForSend(Member[] destination) throws ChannelException
    Deprecated.
    Throws:
      `ChannelException`

  - ### connect

    public void connect() throws IOException
    Deprecated.
    Description copied from class: `AbstractSender`
    connect
    Specified by:
      `connect` in interface `DataSender`
    Specified by:
      `connect` in class `AbstractSender`
    Throws:
      `IOException` - TODO Implement this org.apache.catalina.tribes.transport.DataSender method

  - ### add

    public void add(Member member)
    Deprecated.
    Specified by:
      `add` in interface `MultiPointSender`

  - ### remove

    public void remove(Member member)
    Deprecated.
    Specified by:
      `remove` in interface `MultiPointSender`

  - ### disconnect

    public void disconnect()
    Deprecated.
    Description copied from class: `AbstractSender`
    disconnect TODO Implement this org.apache.catalina.tribes.transport.DataSender method
    Specified by:
      `disconnect` in interface `DataSender`
    Specified by:
      `disconnect` in class `AbstractSender`

  - ### finalize

    protected void finalize() throws Throwable
    Deprecated.
    Overrides:
      `finalize` in class `Object`
    Throws:
      `Throwable`

  - ### keepalive

    public boolean keepalive()
    Deprecated.
    Description copied from class: `AbstractSender`
    keepalive
    Specified by:
      `keepalive` in interface `DataSender`
    Overrides:
      `keepalive` in class `AbstractSender`
    Returns:
      boolean TODO Implement this org.apache.catalina.tribes.transport.DataSender method